## golang-github-corpix-uarand 0.0.0

=== debian/changelog ===
golang-github-corpix-uarand (0.0.0-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Apr 2019 21:26:24 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-corpix-uarand-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/corpix/uarand/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-corpix-uarand 0.1.0

=== Makefile ===
.DEFAULT_GOAL = all

version  := $(shell git rev-list --count HEAD).$(shell git rev-parse --short HEAD)

name     := uarand
package  := github.com/corpix/$(name)

.PHONY: all
all:: useragents.go

.PHONY: test
test:
	go test -v ./...

.PHONY: lint
lint:
	go vet ./...

.PHONY: check
check: lint test

.PHONY: useragents.go
useragents.go:
	curl -Ls -H'User-Agent: gotohellwithyour403'                            \
		http://techpatterns.com/downloads/firefox/useragentswitcher.xml \
	| ./scripts/extract-user-agents                                         \
	| ./scripts/generate-useragents-go $(name)                              \
	> $@
	go fmt $@

=== debian/changelog ===
golang-github-corpix-uarand (0.1.0-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Aug 2019 20:28:58 +0000

golang-github-corpix-uarand (0.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2019 18:26:01 +0200

## golang-github-corpix-uarand 0.1.1

=== Makefile ===
.DEFAULT_GOAL = all

version  := $(shell git rev-list --count HEAD).$(shell git rev-parse --short HEAD)

name     := uarand
package  := github.com/corpix/$(name)

.PHONY: all
all:: useragents.go

.PHONY: test
test:
	go test -v ./...

.PHONY: lint
lint:
.PHONY: lint
lint:
	golangci-lint --color=always                                                       \
		--exclude='uses unkeyed fields'                                            \
		--exclude='type .* is unused'                                              \
		--exclude='should merge variable declaration with assignment on next line' \
		--deadline=120s                                                            \
		run ./...

.PHONY: check
check: lint test

.PHONY: useragents.go
useragents.go:
	./scripts/fetch-user-agents | ./scripts/generate-useragents-go $(name) > $@
	go fmt $@

=== debian/changelog ===
golang-github-corpix-uarand (0.1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-corpix-uarand-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 00:08:14 +0000

golang-github-corpix-uarand (0.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 08 Dec 2019 22:50:13 +0000

=== debian/control ===
Source: golang-github-corpix-uarand
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.3.0
Homepage: https://github.com/corpix/uarand
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-corpix-uarand
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-corpix-uarand.git
XS-Go-Import-Path: github.com/corpix/uarand
Testsuite: autopkgtest-pkg-go

Package: golang-github-corpix-uarand-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev
Multi-Arch: foreign
Description: random user-agent generator
 This package is a generator for random user-agent strings like:
 .
  - Mozilla/5.0 (X11; Linux x86_64)
  - AppleWebKit/537.36 (KHTML, like Gecko)
  - Chrome/41.0.2227.0
  - Safari/537.36
 .
 It is written in Go.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-corpix-uarand-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/corpix/uarand/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
